/***********************************************************************
    filename:   CEGUIBaseFactories.cpp
    created:    Sun Feb 5 2006
    author:     Tomas Lindquist Olsen <tomas@famolsen.dk>

    purpose:    Definitions of all the base window factories
*************************************************************************/
/***************************************************************************
 *   Copyright (C) 2004 - 2006 Paul D Turner & The CEGUI Development Team
 *
 *   Permission is hereby granted, free of charge, to any person obtaining
 *   a copy of this software and associated documentation files (the
 *   "Software"), to deal in the Software without restriction, including
 *   without limitation the rights to use, copy, modify, merge, publish,
 *   distribute, sublicense, and/or sell copies of the Software, and to
 *   permit persons to whom the Software is furnished to do so, subject to
 *   the following conditions:
 *
 *   The above copyright notice and this permission notice shall be
 *   included in all copies or substantial portions of the Software.
 *
 *   THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
 *   EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
 *   MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
 *   IN NO EVENT SHALL THE AUTHORS BE LIABLE FOR ANY CLAIM, DAMAGES OR
 *   OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
 *   ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
 *   OTHER DEALINGS IN THE SOFTWARE.
 ***************************************************************************/
#include "elements/CEGUIBaseFactories.h"

// Start of CEGUI namespace section
namespace CEGUI
{
	CEGUI_DEFINE_WINDOW_FACTORY(GUISheet);
	CEGUI_DEFINE_WINDOW_FACTORY(DragContainer);
	CEGUI_DEFINE_WINDOW_FACTORY(ScrolledContainer);
	CEGUI_DEFINE_WINDOW_FACTORY(ClippedContainer);
    CEGUI_DEFINE_WINDOW_FACTORY(Checkbox);
    CEGUI_DEFINE_WINDOW_FACTORY(ComboDropList);
    CEGUI_DEFINE_WINDOW_FACTORY(Combobox);
    CEGUI_DEFINE_WINDOW_FACTORY(Editbox);
    CEGUI_DEFINE_WINDOW_FACTORY(FrameWindow);
    CEGUI_DEFINE_WINDOW_FACTORY(ItemEntry);
    CEGUI_DEFINE_WINDOW_FACTORY(ListHeader);
    CEGUI_DEFINE_WINDOW_FACTORY(ListHeaderSegment);
    CEGUI_DEFINE_WINDOW_FACTORY(Listbox);
    CEGUI_DEFINE_WINDOW_FACTORY(MenuItem);
    CEGUI_DEFINE_WINDOW_FACTORY(Menubar);
    CEGUI_DEFINE_WINDOW_FACTORY(MultiColumnList);
    CEGUI_DEFINE_WINDOW_FACTORY(MultiLineEditbox);
    CEGUI_DEFINE_WINDOW_FACTORY(PopupMenu);
    CEGUI_DEFINE_WINDOW_FACTORY(ProgressBar);
    CEGUI_DEFINE_WINDOW_FACTORY(PushButton);
    CEGUI_DEFINE_WINDOW_FACTORY(RadioButton);
    CEGUI_DEFINE_WINDOW_FACTORY(ScrollablePane);
    CEGUI_DEFINE_WINDOW_FACTORY(Scrollbar);
    CEGUI_DEFINE_WINDOW_FACTORY(Slider);
    CEGUI_DEFINE_WINDOW_FACTORY(Spinner);
    CEGUI_DEFINE_WINDOW_FACTORY(TabButton);
    CEGUI_DEFINE_WINDOW_FACTORY(TabControl);
    CEGUI_DEFINE_WINDOW_FACTORY(Thumb);
    CEGUI_DEFINE_WINDOW_FACTORY(Titlebar);
    CEGUI_DEFINE_WINDOW_FACTORY(Tooltip);
    CEGUI_DEFINE_WINDOW_FACTORY(ItemListbox);

} // End of  CEGUI namespace section
